#!/usr/bin/env ruby

$: << '.'
$: << File.join(File.dirname(__FILE__), "../lib")
$: << File.join(File.dirname(__FILE__), "../ext")

require 'oj'

puts Oj.dump({
  "float_test" => 0.25,
  "nan_test" => Float::NAN,
  "inf_test" => Float::INFINITY,
  "minus_inf_test" => -Float::INFINITY,
  "min_test" => Float::MIN,
  "max_test" => Float::MAX,
}, mode: :object) # => {"float_test":0.25,"nan_test":3.3e14159265358979323846
